# Type alias FileCfg

FileCfg: {
filename: string;
id?: number;
isDirectory?: boolean;
location: string;
mime_sub: string;
mime_super: string;
min_role_read: number;
s3_store?: boolean;
size_kb: number;
uploaded_at: string | number | Date;
user_id?: number;
}

#### Type declaration

- ##### filename: string

- ##### `Optional` id?: number

- ##### `Optional` isDirectory?: boolean

- ##### location: string

- ##### mime_sub: string

- ##### mime_super: string

- ##### min_role_read: number

- ##### `Optional` s3_store?: boolean

- ##### size_kb: number

- ##### uploaded_at: string | number | Date

- ##### `Optional` user_id?: number

- Defined in saltcorn-data/models/file.ts:758

Generated using TypeDoc